<div class="row mt-3">
  <div class="col-md-6 mb-3">
    <div class="card" *ngIf="!(organization && organizationUsers && abos)">
      <div class="card-heading pb-2 d-flex justify-content-between">
        <h5>Mitglieder</h5>
        <div>
          <div class="input-group input-group-sm">
            <input type="text" class="form-control" placeholder="Suchen" [(ngModel)]="searchText">
            <div class="input-group-append">
              <span class="input-group-text"><i class="fas fa-search"></i> </span>
            </div>
          </div>
        </div>
      </div>
      <div class="card-body d-flex justify-content-center">
        <div class="spinner-border text-primary" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
    </div>
    <div class="card" *ngIf="organization && organizationUsers && abos" id="organizationUsers">
      <div class="card-heading pb-2 d-flex justify-content-between">
        <h5>Mitglieder ({{getUserCount()}}/{{getMaxUsers()}})</h5>
        <div>
          <div class="input-group input-group-sm">
            <input type="text" class="form-control" placeholder="Suchen" [(ngModel)]="searchText">
            <div class="input-group-append">
              <span class="input-group-text"><i class="fas fa-search"></i> </span>
            </div>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="card-text">
          <h6>Rollenerklärung</h6>
          <small>
            <b class="text-info">Admin:</b> Kann alle Einstellungen am Verein sehen und ändern, Mitglieder verwalten und Gruppen anlegen.<br>
            <b class="text-info">Mitglied:</b> Kann nur die Übersicht des Vereins sehen und keine Änderungen machen.
          </small>
        </div>
        <div class="row border-top py-2" *ngFor="let organizationUser of organizationUsers | filterBy: ['user.firstName', 'user.lastName', 'user.mail']: searchText">
          <div class="col-10">
            <div class="row">
              <div class="col-md-8">
                {{organizationUser.user.firstName}} {{organizationUser.user.lastName}}
                <span *ngIf="organizationUser.user.id == organization.owner.id" class="text-danger"> (Gründer)</span><br>
                <small>{{organizationUser.user.mail}}</small>
              </div>
              <div class="col-md-4">
                <select class="custom-select custom-select-sm"
                        [disabled]="isOwner(organizationUser)"
                        [(ngModel)]="organizationUser.role.id"
                        (change)="changeRole(organizationUser)"
                >
                  <option *ngFor="let role of roles" [ngValue]="role.id">{{ 'role.' + role.name | translate }}</option>
                </select>
              </div>
            </div>
          </div>
          <div class="col-2">
            <button class="btn btn-sm btn-outline-danger"
                    (click)="unassignUser(organizationUser)"
                    *ngIf="!isOwner(organizationUser)"
            >
              <i class="fas fa-trash"></i>
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-md-6">
    <eos-invite-user *ngIf="organization" [organization]="organization" (newOrganizationUserEmitter)="newAssignedUser($event)"></eos-invite-user>
  </div>
</div>
